package go_handler_template

const ServiceProductionPipeline = `
kind: pipeline
type: docker
name: 部署production-service-{{ .Name }}

steps:
  - name: build
    image: plugins/docker
    volumes:
      - name: docker
        path: /var/run/docker.sock
    settings:
      username:
        from_secret: reg_username
      password:
        from_secret: reg_password
      repo: reg.icechen.cn/{{ .NameSpace }}/service-{{ .Name }}
      registry: reg.icechen.cn
      tags:
        - ${DRONE_TAG}
        - latest
      dockerfile: ./{{ .Root }}/Dockerfile
      purge: false

  - name: deploy
    image: bitsbeats/drone-helm3
    settings:
      kube_api_server:
        from_secret: kubernetes_server
      kube_token:
        from_secret: kubernetes_token
      kube_certificate:
        from_secret: kubernetes_cert
      chart: ./{{ .Root }}/deploy
      release: service-{{ .Name }}
      wait: true
      namespace: {{ .NameSpace }}
      values:
        - nameSpace={{ .NameSpace }}
        - aliasName={{ .AliasName }}
        - image=reg.icechen.cn/{{ .NameSpace }}/service-{{ .Name }}
        - imageTag=${DRONE_TAG}
        - port={{ .Port }}

volumes:
  - name: docker
    host:
      path: /var/run/docker.sock
`
